LibOFX: File Index

Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# LibOFX File List

Here is a list of all documented files with brief descriptions:

ofxconnect/cmdline.c [code] |
ofxdump/cmdline.c [code] |
ofxconnect/cmdline.h [code] |
ofxdump/cmdline.h [code] |
config.h [code] |
context.cpp [code] |
fx-0.8.0/lib/context.cpp [code] |
context.hh [code] |
fx-0.8.0/lib/context.hh [code] |
file_preproc.cpp [code] | File type detection, etc
fx-0.8.0/lib/file_preproc.cpp [code] | File type detection, etc
file_preproc.hh [code] | Preprocessing of the OFX files before parsing
fx-0.8.0/lib/file_preproc.hh [code] | Preprocessing of the OFX files before parsing
getopt.c [code] |
fx-0.8.0/lib/getopt.c [code] |
getopt1.c [code] |
fx-0.8.0/lib/getopt1.c [code] |
gnugetopt.h [code] |
fx-0.8.0/lib/gnugetopt.h [code] |
inc/libofx.h [code] | Main header file containing the LibOfx API
libofx-0.8.0/inc/libofx.h [code] | Main header file containing the LibOfx API
main_doc.c [code] |
messages.cpp [code] | Message IO functionality
fx-0.8.0/lib/messages.cpp [code] | Message IO functionality
messages.hh [code] | Message IO functionality
fx-0.8.0/lib/messages.hh [code] | Message IO functionality
ofc_sgml.cpp [code] | OFX/SGML parsing functionnality
fx-0.8.0/lib/ofc_sgml.cpp [code] | OFX/SGML parsing functionnality
ofc_sgml.hh [code] | OFX/SGML parsing functionnality
fx-0.8.0/lib/ofc_sgml.hh [code] | OFX/SGML parsing functionnality
ofx2qif.c [code] | Code for ofx2qif utility. C example code
ofx_aggregate.hh [code] | Declaration of OfxAggregate which allows you to construct a single OFX aggregate
fx-0.8.0/lib/ofx_aggregate.hh [code] | Declaration of OfxAggregate which allows you to construct a single OFX aggregate
ofx_container_account.cpp [code] | Implementation of OfxAccountContainer for bank, credit card and investment accounts
fx-0.8.0/lib/ofx_container_account.cpp [code] | Implementation of OfxAccountContainer for bank, credit card and investment accounts
ofx_container_generic.cpp [code] | Implementation of OfxGenericContainer
fx-0.8.0/lib/ofx_container_generic.cpp [code] | Implementation of OfxGenericContainer
ofx_container_main.cpp [code] | Implementation of OfxMainContainer
fx-0.8.0/lib/ofx_container_main.cpp [code] | Implementation of OfxMainContainer
ofx_container_security.cpp [code] | Implementation of OfxSecurityContainer for stocks, bonds, mutual funds, etc
fx-0.8.0/lib/ofx_container_security.cpp [code] | Implementation of OfxSecurityContainer for stocks, bonds, mutual funds, etc
ofx_container_statement.cpp [code] | Implementation of OfxStatementContainer for bank statements, credit cart statements, etc
fx-0.8.0/lib/ofx_container_statement.cpp [code] | Implementation of OfxStatementContainer for bank statements, credit cart statements, etc
ofx_container_transaction.cpp [code] | Implementation of OfxTransactionContainer, OfxBankTransactionContainer and OfxInvestmentTransactionContainer
fx-0.8.0/lib/ofx_container_transaction.cpp [code] | Implementation of OfxTransactionContainer, OfxBankTransactionContainer and OfxInvestmentTransactionContainer
ofx_containers.hh [code] | LibOFX internal object code
fx-0.8.0/lib/ofx_containers.hh [code] | LibOFX internal object code
ofx_containers_misc.cpp [code] | LibOFX internal object code
fx-0.8.0/lib/ofx_containers_misc.cpp [code] | LibOFX internal object code
ofx_error_msg.hh [code] | OFX error code management functionnality
fx-0.8.0/lib/ofx_error_msg.hh [code] | OFX error code management functionnality
ofx_preproc.cpp [code] | Preprocessing of the OFX files before parsing
fx-0.8.0/lib/ofx_preproc.cpp [code] | Preprocessing of the OFX files before parsing
ofx_preproc.hh [code] | Preprocessing of the OFX files before parsing
fx-0.8.0/lib/ofx_preproc.hh [code] | Preprocessing of the OFX files before parsing
ofx_request.cpp [code] | Implementation of an OfxRequests to create an OFX file containing a generic request
fx-0.8.0/lib/ofx_request.cpp [code] | Implementation of an OfxRequests to create an OFX file containing a generic request
ofx_request.hh [code] | Declaration of an OfxRequests to create an OFX file containing a generic request
fx-0.8.0/lib/ofx_request.hh [code] | Declaration of an OfxRequests to create an OFX file containing a generic request
ofx_request_accountinfo.cpp [code] | Implementation of libofx_request_accountinfo to create an OFX file containing a request for all account info at this FI for this user
fx-0.8.0/lib/ofx_request_accountinfo.cpp [code] | Implementation of libofx_request_accountinfo to create an OFX file containing a request for all account info at this FI for this user
ofx_request_accountinfo.hh [code] | Declaration of OfxRequestAccountInfo create an OFX file containing a request for all account info at this FI for this user
fx-0.8.0/lib/ofx_request_accountinfo.hh [code] | Declaration of OfxRequestAccountInfo create an OFX file containing a request for all account info at this FI for this user
ofx_request_statement.cpp [code] | Implementation of libofx_request_statement to create an OFX file containing a request for a statement
fx-0.8.0/lib/ofx_request_statement.cpp [code] | Implementation of libofx_request_statement to create an OFX file containing a request for a statement
ofx_request_statement.hh [code] | Declaration of libofx_request_statement to create an OFX file containing a request for a statement
fx-0.8.0/lib/ofx_request_statement.hh [code] | Declaration of libofx_request_statement to create an OFX file containing a request for a statement
ofx_sgml.cpp [code] | OFX/SGML parsing functionnality
fx-0.8.0/lib/ofx_sgml.cpp [code] | OFX/SGML parsing functionnality
ofx_sgml.hh [code] | OFX/SGML parsing functionnality
fx-0.8.0/lib/ofx_sgml.hh [code] | OFX/SGML parsing functionnality
ofx_utilities.cpp [code] | Various simple functions for type conversion & al
fx-0.8.0/lib/ofx_utilities.cpp [code] | Various simple functions for type conversion & al
ofx_utilities.hh [code] | Various simple functions for type conversion & al
fx-0.8.0/lib/ofx_utilities.hh [code] | Various simple functions for type conversion & al
ofxconnect.cpp [code] | Code for ofxconnect utility. C++ example code
ofxdump.cpp [code] | Code for ofxdump utility. C++ example code
tree.hh [code] |
fx-0.8.0/lib/tree.hh [code] |